For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
      • POSTCreate/Update a product
      • GETGet a product's details
      • POSTCreate products in batch
      • GETReturn all your products
      • POSTCreate a product alert for a contact
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
EcommerceProducts

Return all your products

GET
https://api.brevo.com/v3/products
GET
/v3/products
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.ecommerce.getProducts({});
8}
9main();
1{
2 "count": 2,
3 "products": [
4 {
5 "createdAt": "2022-06-30T10:29:16.078Z",
6 "id": "7498033266862",
7 "modifiedAt": "2022-06-30T10:29:16.078Z",
8 "name": "Alpina Panoma Classic",
9 "s3ThumbAnalytics": "https://img-ecom.mailinblue.com/path-to-analytics/img.jpg",
10 "s3ThumbEditor": "https://img-ecom.mailinblue.com/path-to-editor/img.jpg",
11 "categories": [
12 "279638835374",
13 "279502848174"
14 ],
15 "imageUrl": "http://mydomain.com/product-absoulte-url/img.jpeg",
16 "isDeleted": true,
17 "price": 49.95,
18 "alternativePrice": 39.95,
19 "s3Original": "https://img-ecom.mailinblue.com/path-to-original/img.jpg",
20 "sku": "186622-9",
21 "stock": 100,
22 "url": "https://mydomain.com/products/alpina-panoma-classic"
23 },
24 {
25 "createdAt": "2022-06-30T10:29:16.078Z",
26 "id": "7498033266862",
27 "modifiedAt": "2022-06-30T10:29:16.078Z",
28 "name": "Alpina Panoma Classic2",
29 "s3ThumbAnalytics": "https://img-ecom.mailinblue.com/path-to-analytics/img.jpg",
30 "s3ThumbEditor": "https://img-ecom.mailinblue.com/path-to-editor/img.jpg",
31 "categories": [
32 "2d79638835374",
33 "27d9502848174"
34 ],
35 "imageUrl": "http://mydomain.com/product-absoulte-url/img.jpeg",
36 "isDeleted": true,
37 "metaInfo": {
38 "brand": "addidas",
39 "description": "Shoes for sports"
40 },
41 "price": 49.95,
42 "alternativePrice": 44.95,
43 "s3Original": "https://img-ecom.mailinblue.com/path-to-original/img.jpg",
44 "sku": "186622-9",
45 "stock": 350,
46 "url": "https://mydomain.com/products/alpina-panoma-classic2"
47 }
48 ]
49}
Retrieve a paginated list of all ecommerce products stored in your Brevo account. Results are sorted by creation date in descending order by default, and can be filtered by product IDs, name (minimum 3 characters), price range, category IDs, modification date, creation date, or deletion status. Use the `search` parameter to query across SKU, name, and ID simultaneously — results are prioritized as exact SKU match > SKU prefix match > name match > ID match. Pagination defaults to 50 products per page (maximum 1000), and the response includes a `count` field with the total number of matching products.
Was this page helpful?
Previous

Create a product alert for a contact

Next
Built with

Retrieve a paginated list of all ecommerce products stored in your Brevo account. Results are sorted by creation date in descending order by default, and can be filtered by product IDs, name (minimum 3 characters), price range, category IDs, modification date, creation date, or deletion status. Use the search parameter to query across SKU, name, and ID simultaneously — results are prioritized as exact SKU match > SKU prefix match > name match > ID match. Pagination defaults to 50 products per page (maximum 1000), and the response includes a count field with the total number of matching products.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

limitlongOptional<=1000Defaults to 50
Number of documents per page
offsetlongOptionalDefaults to 0
Index of the first document in the page
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:
idslist of stringsOptional
Filter by product ids
searchstringOptional
Search products simultaneously across SKU, name, and ID fields. Results are returned in the following priority order: **exact SKU match** > **SKU prefix match** > **name match** > **ID match**. For example, `?search=123` on products with `{sku: "123"}` and `{sku: "123456"}` returns the exact SKU match first.
namestringOptional
Filter by product name, minimum 3 characters should be present for search.
price[lte]doubleOptional
Price filter for products less than and equals to particular amount
price[gte]doubleOptional
Price filter for products greater than and equals to particular amount
price[lt]doubleOptional
Price filter for products less than particular amount
price[gt]doubleOptional
Price filter for products greater than particular amount
price[eq]doubleOptional
Price filter for products equals to particular amount
price[ne]doubleOptional
Price filter for products not equals to particular amount
alternativePrice[lte]doubleOptional
Alternative price filter for products less than and equals to particular amount
alternativePrice[gte]doubleOptional
Alternative price filter for products greater than and equals to particular amount
alternativePrice[lt]doubleOptional
Alternative price filter for products less than particular amount
alternativePrice[gt]doubleOptional
Alternative price filter for products greater than particular amount
alternativePrice[eq]doubleOptional
Alternative price filter for products equals to particular amount
alternativePrice[ne]doubleOptional
Alternative price filter for products not equals to particular amount
categorieslist of stringsOptional
Filter by categories ids
modifiedSincestringOptional

Filter (urlencoded) the products modified after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.

createdSincestringOptional

Filter (urlencoded) the products created after a given UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ). Prefer to pass your timezone in date-time format for accurate result.

sortByFieldenumOptional

Sort the results by a specific field. Default sort field is created_at when not passed.

Allowed values:
isDeletedstringOptional

Filter products by their deletion status. If false is passed, only products that are not deleted will be returned.

Response

All products listed
countlong
Number of products
productslist of objects

Errors

400
Bad Request Error

Search products simultaneously across SKU, name, and ID fields. Results are returned in the following priority order: exact SKU match > SKU prefix match > name match > ID match. For example, ?search=123 on products with {sku: "123"} and {sku: "123456"} returns the exact SKU match first.